<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_fad3a97fa7919b1999c977c8bdad925" . "a" => base64_decode("c3ltZm9" . "ueV9yZX" . "F1ZXN0"), "_8fec21706" . "bd243b37ec" . "f62b1caf8f" . "b8a" => base64_decode("Y" . "2" . "x" . "p"), "_8ec8f26c742278f90615f50d" . "682eea79" => base64_decode("UE" . "9T" . "VA" . "=="), "_87daa84e346f642" . "0a3f3426e05d16a7" . "b" => base64_decode("Lw=" . "="), "_c91b0ff19f81a8873a4593a23719472" . "c" => base64_decode("cnRy" . "aW0="), "_2b2486424e6dfb90" . "6c925739c329be7c" => base64_decode("aGVhZGV" . "y"), "_e06da3ffba2e84b8" . "e6f94bd2d6ca3c52" => base64_decode("Y3JlYXRlX2ludGVybmFsX2xpbm" . "s="), "_14feb73099827" . "a30c31c0b996c1" . "3f13c" => base64_decode("b25LZXJuZWxSZXF1Z" . "XN0"), "_4d707fab93bebb00bb" . "e69e8159697c90" => base64_decode(""), "_bd8510ebf29b0f687c25c90" . "c740715d8" => base64_decode("aHR0cF9yZ" . "XNwb25zZV" . "9jb2Rl"), "_781e2532c1e56969c535c11840" . "64bae6" => base64_decode("b25Db3JlQm9vdA" . "=="), "_eea266d1da508f42deea49cc3add68" . "ec" => base64_decode("UF" . "VU"), "_ab8b6a5b56b4cfd73230ed5cad4" . "fb54c" => base64_decode("Y29yZS5ib29" . "0ZWQ="), "_e6d18c493faa20d5d45c0751" . "d2c02ce6" => base64_decode("TG9jYXRpb" . "246IA=="), "_db7b295629faa" . "16027a2c263095" . "eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c91b0ff19f81a8873" . "a4593a23719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_87daa84e346f6420a3f34" . "26e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_14feb7309982" . "7a30c31c0b996" . "c13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ab8b6a5b56b4cfd73230ed5ca" . "d4fb54c"] => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_781e2532c1e" . "56969c535c11" . "84064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bbe69e81596" . "97c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_8ec8f26c742278f90615f50d682ee" . "a79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_eea266d1da508f42" . "deea49cc3add68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_db7b295629faa16027a2c263095eba" . "70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8fec21706bd243b37ecf62b1caf8f" . "b8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_fad3a97fa7919b1999c9" . "77c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e06da3f" . "fba2e84b" . "8e6f94bd" . "2d6ca3c5" . "2"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_bd8510ebf29b0f68" . "7c25c90c740715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2b2486424e6dfb906c9257" . "39c329be7c"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e6d18c493faa20d" . "5d45c0751d2c02ce" . "6"] . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e06da3ffba2e84b8e6f94bd2d6c" . "a3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}